Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.algorithms.implementations
Class SignatureBaseRSA.SignatureRSASHA1

    java.lang.Object
      org.apache.xml.security.algorithms.SignatureAlgorithmSpi
          org.apache.xml.security.algorithms.implementations.SignatureBaseRSA
              org.apache.xml.security.algorithms.implementations.SignatureBaseRSA.SignatureRSASHA1

Enclosing class:
  SignatureBaseRSA

    public static class SignatureBaseRSA.SignatureRSASHA1

extends SignatureBaseRSA

Class SignatureRSASHA1

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xml.security.algorithms.implementations.SignatureBaseRSA
`SignatureBaseRSA.SignatureRSAMD5, SignatureBaseRSA.SignatureRSARIPEMD160, SignatureBaseRSA.SignatureRSASHA1, SignatureBaseRSA.SignatureRSASHA224, SignatureBaseRSA.SignatureRSASHA256, SignatureBaseRSA.SignatureRSASHA384, SignatureBaseRSA.SignatureRSASHA512`

Constructor Summary
`SignatureBaseRSA.SignatureRSASHA1()` Constructor SignatureRSASHA1

Method Summary
`java.lang.String` | `engineGetURI()` Returns the URI representation of `Transformation algorithm`

Methods inherited from class org.apache.xml.security.algorithms.implementations.SignatureBaseRSA
`engineGetJCEAlgorithmString, engineGetJCEProviderName, engineInitSign, engineInitSign, engineInitSign, engineInitVerify, engineSetHMACOutputLength, engineSetParameter, engineSign, engineUpdate, engineUpdate, engineUpdate, engineVerify`

Methods inherited from class org.apache.xml.security.algorithms.SignatureAlgorithmSpi
`engineGetContextFromElement, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureBaseRSA.SignatureRSASHA1

    public SignatureBaseRSA.SignatureRSASHA1()
                                      throws XMLSignatureException

  Constructor SignatureRSASHA1

  Throws:
    `XMLSignatureException`

Method Detail

### engineGetURI

    public java.lang.String engineGetURI()

  Description copied from class: `SignatureAlgorithmSpi`
  Returns the URI representation of `Transformation algorithm`

  Specified by:
    `engineGetURI` in class `SignatureBaseRSA`
  Returns:
    the URI representation of `Transformation algorithm`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD